Author Topic: Xine, x264, VC1 (mkv), and VDPAU  (Read 10730 times)

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #30 on: July 21, 2010, 08:50:26 am »
Quote
this updated xine that I posted above doesn't play the mkv files?
Maybe it works but it'll break VDR which very important for me.
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

niz23

  • Guru
  • ****
  • Posts: 361
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #31 on: July 21, 2010, 10:01:40 am »
I´m looking at xine now to see what can be done about this.
xineliboutput (vdr-sxfe) is what breaks if you use xine with mkv patches.
I´m not sure why as I have not found anything in vdr-sxfe that should depend upon mkv stuff in libxine.
Still it does break.

/niz23


nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #32 on: July 21, 2010, 04:29:24 pm »
I´m looking at xine now to see what can be done about this.
xineliboutput (vdr-sxfe) is what breaks if you use xine with mkv patches.
I´m not sure why as I have not found anything in vdr-sxfe that should depend upon mkv stuff in libxine.
Still it does break.

Thanks, niz23! Also it'd be nice to have possibility switch audio track in AVI or MKV played by Xine. mplayer has a short key for that. So, using keyboard it's possible change the audio track. But with xine only MessageSend can be used to do that.
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

joerod

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #33 on: July 25, 2010, 07:15:17 pm »
yea, I noticed I couldn't switch audio tracks... that would be a cool feature.  Is VDR better for ATSC than myth? BTW (the patch works really well for all the mkv files I couldn't play before, but) I have some videos that don't work ever since the mkv patch that did work before.  Any ideas on why this would happen?

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #34 on: August 02, 2010, 12:14:05 pm »
Looks like the latest update fixed the problem with MKV playback and didn't break VDR. Excellent work!
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

wombiroller

  • Guru
  • ****
  • Posts: 340
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #35 on: August 02, 2010, 12:55:17 pm »
Looks like the latest update fixed the problem with MKV playback and didn't break VDR. Excellent work!
+100!  ;D

joerod

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #36 on: August 03, 2010, 04:40:50 am »
how do I apply that update?

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #37 on: August 03, 2010, 08:48:50 am »
how do I apply that update?

Run it on your core and MDs:

Code: [Select]
sudo apt-get update
sudo apt-get upgrade
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

joerod

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #38 on: August 14, 2010, 12:43:16 pm »
is anyone else still having problems with just some mkv or mp4s? is there any way I can add newer containers to the compatibility list?

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #39 on: August 14, 2010, 01:33:31 pm »
is anyone else still having problems with just some mkv or mp4s? is there any way I can add newer containers to the compatibility list?
I don't have any MKV file I cannot play now with LMCE. What about you?
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

maverick0815

  • Addicted
  • *
  • Posts: 569
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #40 on: August 14, 2010, 07:11:05 pm »
at least here with me everything in this department is running nicely :-) thumbs up!

joerod

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #41 on: August 15, 2010, 03:24:52 am »
well, I definately have some that will play on one md but not on another (I get sound but no audio) I also have one or two that only play sound and both mds and all my videos play in windows.  I'm going to look further into it to make sure I'm not doing something wrong and I'll let you guys know.

Thanks a lot for the feedback.
« Last Edit: August 15, 2010, 03:32:07 am by joerod »

joerod

  • Guru
  • ****
  • Posts: 153
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #42 on: August 17, 2010, 02:09:15 pm »
then when I type "apt-get upgrade"  I get the following:

Quote
root@moon88:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
  libxine-dev libxine1 libxine1-all-plugins libxine1-bin libxine1-console libxine1-dbg libxine1-ffmpeg libxine1-gnome libxine1-misc-plugins
  libxine1-plugins libxine1-x
0 upgraded, 0 newly installed, 0 to remove and 11 not upgraded.

I did manually install a xine patch a while back, but that was before the new one that did not break vdr.  Am I doing something wrong?

niz23

  • Guru
  • ****
  • Posts: 361
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #43 on: August 17, 2010, 11:06:13 pm »
Do apt-get dist-upgrade

ferguscan

  • Newbie
  • *
  • Posts: 11
    • View Profile
Re: Xine, x264, VC1 (mkv), and VDPAU
« Reply #44 on: September 27, 2010, 02:42:35 am »
I just want to follow up on this, and say that I have the latest xine packages (1.1.16.3-0ubuntu2~xine-vdpau~intrepid~ppa2) and none of my newer mkv files work.

Is anyone else still experiencing problems?  I will try to get some meaningful logs from my system tonight.

Thanks,

Stuart